# Uses of Interface
org.eclipse.zest.layouts.LayoutEntity

Packages that use LayoutEntity
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.dataStructures

## Uses of LayoutEntity in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets that return LayoutEntity
Modifier and Type
Method
Description
`LayoutEntity`
GraphNode.`getLayoutEntity()`
Deprecated, for removal: This API element is subject to removal in a future version.
Not used in Zest 2.x.

## Uses of LayoutEntity in org.eclipse.zest.layouts

Subinterfaces of LayoutEntity in org.eclipse.zest.layouts
Modifier and Type
Interface
Description
`interface`
`NestedLayoutEntity`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `SubgraphLayout` instead.
Methods in org.eclipse.zest.layouts that return LayoutEntity
Modifier and Type
Method
Description
`LayoutEntity`
LayoutRelationship.`getDestinationInLayout()`
Deprecated.
`LayoutEntity`
LayoutRelationship.`getSourceInLayout()`
Deprecated.
Methods in org.eclipse.zest.layouts with parameters of type LayoutEntity
Modifier and Type
Method
Description
`void`
LayoutAlgorithm.Zest1.`addEntity(LayoutEntity entity)`
Deprecated.
`void`
LayoutGraph.`addEntity(LayoutEntity node)`
Deprecated.
`void`
LayoutAlgorithm.Zest1.`applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous)`
Deprecated.
`void`
LayoutAlgorithm.Zest1.`removeEntity(LayoutEntity entity)`
Deprecated.

## Uses of LayoutEntity in org.eclipse.zest.layouts.algorithms

Methods in org.eclipse.zest.layouts.algorithms with parameters of type LayoutEntity
Modifier and Type
Method
Description
`void`
AbstractLayoutAlgorithm.Zest1.`addEntity(LayoutEntity entity)`
Deprecated.
`void`
AbstractLayoutAlgorithm.Zest1.`applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous)`
Deprecated.
`void`
AbstractLayoutAlgorithm.Zest1.`removeEntity(LayoutEntity entity)`
Deprecated.
`static boolean`
AbstractLayoutAlgorithm.Zest1.`verifyInput(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider)`
Deprecated.

## Uses of LayoutEntity in org.eclipse.zest.layouts.dataStructures

Classes in org.eclipse.zest.layouts.dataStructures that implement LayoutEntity
Modifier and Type
Class
Description
`class`
`InternalNode`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
Methods in org.eclipse.zest.layouts.dataStructures that return LayoutEntity
Modifier and Type
Method
Description
`LayoutEntity`
InternalRelationship.`getDestinationInLayout()`
Deprecated.
`LayoutEntity`
InternalNode.`getLayoutEntity()`
Deprecated.
`LayoutEntity`
InternalRelationship.`getSourceInLayout()`
Deprecated.
Constructors in org.eclipse.zest.layouts.dataStructures with parameters of type LayoutEntity
Modifier
Constructor
Description
``
`InternalNode(LayoutEntity entity)`
Deprecated.